Bug 505507 - Review Request: acheck - Check common localisation mistakes
Review Request: acheck - Check common localisation mistakes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 505508
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 02:58 EDT by Rakesh Pandit
Modified: 2009-07-03 15:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.5.1-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-21 09:11:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2009-06-12 02:58:48 EDT
SPEC: http://rakesh.fedorapeople.org/spec/acheck.spec
SRPM: http://rakesh.fedorapeople.org/srpm/acheck-0.5.1-1.fc11.src.rpm

It is a text file checker and tool designed to help both
translators and reviewers checking and fixing common localisation
mistakes according to file format. Rules can be defined to add new
checks.
Comment 1 Rakesh Pandit 2009-06-12 03:03:53 EDT
Will need acheck-rules .. which I am packaging in some time.

http://ftp.de.debian.org/debian/pool/main/a/acheck-rules/acheck-rules_0.3.1.tar.gz
Comment 2 Rakesh Pandit 2009-06-12 03:28:46 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=505508
Comment 3 Parag AN(पराग) 2009-06-19 04:56:49 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1424380
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
45651d7d33f69bbc2a19d674fd6a4f66302f2629  acheck_0.5.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package acheck-0.5.1-1.fc12.noarch =>
Provides: perl(ACheck::Common) perl(ACheck::FileType) perl(ACheck::Parser)
Requires: /usr/bin/perl perl(ACheck::Common) perl(ACheck::FileType) perl(ACheck::Parser) perl(Config::General) perl(Data::Dumper) perl(Exporter) perl(File::Copy) perl(File::Spec::Functions) perl(Getopt::Long) perl(IO::File) perl(Term::ANSIColor) perl(Term::ReadLine) perl(Term::Size) perl(constant) perl(locale) perl(strict) perl(vars)
+ Not a GUI application

Should:
1)Requires should be written as only
Requires:    perl(Text::Aspell), perl-gettext, %{name}-rules

APPROVED.
Comment 4 Rakesh Pandit 2009-06-19 11:03:51 EDT
Thanks, will fix before importing

New Package CVS Request
=======================
Package Name: acheck
Short Description: Check common localisation mistakes
Owners: rakesh
Branches: F-10 F-11
InitialCC:
Comment 5 Jason Tibbitts 2009-06-20 11:06:01 EDT
CVS done.
Comment 6 Fedora Update System 2009-06-21 09:07:10 EDT
acheck-0.5.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/acheck-0.5.1-2.fc10
Comment 7 Fedora Update System 2009-06-21 09:08:31 EDT
acheck-0.5.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/acheck-0.5.1-2.fc11
Comment 8 Fedora Update System 2009-07-03 15:32:43 EDT
acheck-0.5.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-07-03 15:54:57 EDT
acheck-0.5.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.